#!/bin/sh

test_description="Passed known OOD targets must not skip BuildUUID check"
. $SHARNESS_TEST_SRCDIR/sharness.sh
export REDO_TOP_DIR="`pwd`" REDO_NO_PROGRESS=1

echo redo-ifchange l3 l2 >l1.do
echo redo-ifchange l3 >l2.do
echo echo ok >>l1.do
echo echo ok >>l2.do
cat >l3.do <<EOF
sleep 1
touch \$(date +%s).touch
echo ok
EOF

redo -j 1 l1
touches="$(ls *.touch | wc -l)"

test_expect_success "only single .touch exists" '[ $touches = 1 ]'

test_done
